Package org.apache.sling.scriptingbundle.plugin.capability

## Class RequiredResourceTypeCapability.Builder

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.RequiredResourceTypeCapability.Builder

Enclosing class:
  RequiredResourceTypeCapability

    public static class RequiredResourceTypeCapability.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequiredResourceTypeCapability` `build()`
`RequiredResourceTypeCapability.Builder` `withIsOptional()`
`RequiredResourceTypeCapability.Builder` `withResourceType​(String resourceType)`
`RequiredResourceTypeCapability.Builder` `withVersionRange​(org.osgi.framework.VersionRange versionRange)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### build

    public RequiredResourceTypeCapability build()

#### withResourceType

    public RequiredResourceTypeCapability.Builder withResourceType​(String resourceType)

#### withVersionRange

    public RequiredResourceTypeCapability.Builder withVersionRange​(org.osgi.framework.VersionRange versionRange)

#### withIsOptional

    public RequiredResourceTypeCapability.Builder withIsOptional()